<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xslt/java" xmlns:of="scpf.org:office" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="java of sp " >
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:head"><xsl:value-of select="sp:givenName"/><xsl:if test="sp:familyName"><xsl:text> </xsl:text><xsl:value-of select="sp:familyName"/></xsl:if><xsl:if test="sp:tagline"><xsl:text> - </xsl:text><xsl:value-of select="sp:tagline"/></xsl:if></xsl:for-each></title></xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:status">
<xsl:choose>
<xsl:when xmlns:xsl="http://www.w3.org/1999/XSL/Transform" test="of:blockM"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:diplomas">
<xsl:choose>
<xsl:when xmlns:xsl="http://www.w3.org/1999/XSL/Transform" test="of:heading">
<xsl:for-each select="of:heading"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:for-each>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:experience">
<xsl:choose>
<xsl:when xmlns:xsl="http://www.w3.org/1999/XSL/Transform" test="of:heading">
<xsl:for-each select="of:heading"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:for-each>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:skills">
<xsl:choose>
<xsl:when xmlns:xsl="http://www.w3.org/1999/XSL/Transform" test="of:heading">
<xsl:for-each select="of:heading"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:for-each>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:section">
<xsl:choose>
<xsl:when xmlns:xsl="http://www.w3.org/1999/XSL/Transform" test="of:heading">
<xsl:for-each select="of:heading"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:for-each>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:languages">
<xsl:choose>
<xsl:when xmlns:xsl="http://www.w3.org/1999/XSL/Transform" test="of:language">
<xsl:for-each select="of:language"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:for-each>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:leisure">
<xsl:choose>
<xsl:when xmlns:xsl="http://www.w3.org/1999/XSL/Transform" test="of:heading">
<xsl:for-each select="of:heading"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:for-each>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:references">
<xsl:choose>
<xsl:when xmlns:xsl="http://www.w3.org/1999/XSL/Transform" test="of:heading">
<xsl:for-each select="of:heading"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:for-each>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:interview"/>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="text()|@*"/>
</xsl:stylesheet>