
var creator = {};

creator.createSpace = function (pDataProvider, pUriParent, pIdAuthor, pFctCallBack){
try {
	var vNewUri = pUriParent;
	var vRes = ut.prompt(ut.formatStr("Indiquez le nom de l\'espace à créer dans \'%s\'", vNewUri), "Ajout d\'un espace");
	if(vRes != null){
		vRes = vRes.replace(/^\s+/, "").replace(/\s+$/, ""); //trim
		var vRegExp = /[+$\\\/><|?:*#"~\.]/
		while(vRegExp.test(vRes)) {
			if(vRes.indexOf(".")>=0) {
				ut.alert("Contrairement à un item le nom d\'un espace ne doit comporter aucun point (\'.\')\n\nVeuillez modifier ce nom.", "Anomalie de saisie");
			} else {
				ut.alert("Le nom d\'un espace ne doit comporter aucun caractère suivant : $ + \\ / > < | ? : * \" ~ \n\nVeuillez modifier ce nom.");
			}
			vRes = ut.prompt(ut.formatStr("Indiquez le nom de l\'espace à créer dans : %s", pUriParent), "Ajout d\'un espace", vRes);
		}
		if(vRes == null) return;
		if(vRes=="") {
			ut.alert("Vous n\'avez saisi aucun nom, veuillez recommencer.");
			return;
		}
		vNewUri = vNewUri+"/"+vRes;
		var vReq = pDataProvider.dialogSynchWithService("/u/trav/"+encodeURI(vNewUri), "MKCOL", null, null);
		if(vReq.status==201) {
			pDataProvider.dispatchUpdateUri(ut.getWspFromUri(vNewUri), vNewUri, Components.interfaces.scIUriListener.EVENT_TYPE_UPDT, pIdAuthor || -1, false);
			if(pFctCallBack) pFctCallBack.call(window, vNewUri);
		} else if(vReq.status==405) {
			ut.alert("Cet espace existe déjà.", "Echec à la création de l\'espace");
			if(pFctCallBack) pFctCallBack.call(window, vNewUri);
		} else {
			ut.alert(ut.formatStr("Une erreur est survenue durant la création de cet espace : \n%1$s (%2$s)", vReq.statusText, vReq.status), "Erreur");
			if(pFctCallBack) pFctCallBack.call(window, null);
		}
	}
}catch(e){ut.debug(e);}
}


creator.createItem = function (pDataProvider, pUriParent, pCd, pNoServerCreation, pIdAuthor, pFctCallBack, pFlags, pRegExpSgn, pMimeTypesAllowed){
	window.openDialog("chrome://scenaricms/content/creator/item/creatoritem.xul", "", "chrome, resizable, centerscreen, dependent"+(ut.isMac?",dialog=no":""), pDataProvider, pUriParent, pCd, pNoServerCreation, pIdAuthor, pFctCallBack, pFlags, pRegExpSgn, pMimeTypesAllowed);
}