

var scPrefMgr = {
	_isRebootNecessary : false,

	/**
	 * Initialisation
	 *   @param de la window pour selection directe : idPane.idTab
	 */
	init: function (){
		try{

			this.updateView();
			var vPaneId = window.arguments[0];
			var vTabId = window.arguments[1];
			if(vTabId){
				if(vTabId){
					var vTabBox = document.getElementById(vTabId);
					while(vTabBox.localName != 'tabbox') vTabBox = vTabBox.parentNode;
					if(vTabBox.localName == 'tabbox') vTabBox.selectedTab = document.getElementById(vTabId);
				}
			}
		}catch(e){
			ut.debug("scPrefMgr > init : " + e);
		}
  	},
  	
  	updateView: function (){

		if(!this.canLaunchLocalServer()){
			var vListElementsToMask = document.getElementsByAttribute("maskIfNoLocalSrv", "true");
			for(var ii=0; ii<vListElementsToMask.length;ii++) vListElementsToMask[ii].collapsed = true;
		}
		if(ut.isMac){
			var vListElementsToMask = document.getElementsByAttribute("maskInMac", "true");
			for(var ii=0; ii<vListElementsToMask.length;ii++) vListElementsToMask[ii].collapsed=true;
		}else if(ut.isUnix){
			var vListElementsToMask = document.getElementsByAttribute("maskInLin", "true");
			for(var ii=0; ii<vListElementsToMask.length;ii++) vListElementsToMask[ii].collapsed=true;
		}else{
			var vListElementsToMask = document.getElementsByAttribute("maskInWin", "true");
			for(var ii=0; ii<vListElementsToMask.length;ii++) vListElementsToMask[ii].collapsed=true;
		}
  	},
  	
  	/**
	 * Fermeture
	 */
	close: function (){
		if(this._isRebootNecessary && (ut.confirm("Certains paramètres seront pris en compte après redémarrage de l\'application. Voulez-vous redémarrer l\'application maintenant ?", null, "oui", "non"))){
			if(ut.isUnix) window.setTimeout("ut.appRestart();window.close();", 500, "");
			else ut.appRestart();
		}
		
  	},
  	
  	mustReboot: function (){
		this._isRebootNecessary = true;
  	},
  	
  	canLaunchLocalServer: function (){
		return wspUt._CanCreateServerLocal;
  	}
  	
};
