
 
var fWspServer;
var fDataProvider;
var fTree;
var fTreeView;
var fCurrentLogin;
var fFctCallBackUpdatePass;
function initPage(){
	try{
		fWspServer = window.arguments[0];
		fDataProvider = fWspServer.getDataProvider();
		fCurrentLogin = fWspServer.getUser();
		fFctCallBackUpdatePass = window.arguments[1];
		
		document.getElementById("passwordCheck").addEventListener("CheckboxStateChange", togglePassword, false);
		
		document.documentElement.setAttribute("wait-cursor", "true");
		fDataProvider.loadFromService("/u/adminUsers?cdaction=CurrentUser", cbServer, cbServer);
	}catch(e){
		ut.debug("userprofile.js > initPage : " + e);
	}
}

function cbServer(pEvent){
	document.documentElement.removeAttribute("wait-cursor");
	if(pEvent.target.status == 200) {
		var vUser = pEvent.target.responseXML.documentElement;
		if(vUser && vUser.nodeType == 1 && vUser.localName == "user") {
			updateFields(vUser.getAttribute("account"), vUser.getAttribute("firstName"), vUser.getAttribute("lastName"), vUser.getAttribute("email"), vUser.getAttribute("rights"));
		} else {
			ut.alert("Impossible d\'obtenir votre profil.", "Anomalie");
			window.close();
		}
	} else {
		ut.alert("Impossible d\'accéder au serveur.", "Echec à la connexion");
	}
}



var fDirtyStatus = false;
function setDirtyStatus(){
	if( ! fDirtyStatus) {
		document.getElementById("saveBtn").disabled = false;
		fDirtyStatus = true;
	}
}

function xLeaveDirtyStatus(){
	if(fDirtyStatus) {
		document.getElementById("saveBtn").disabled = true;
		fDirtyStatus = false;
	}
}

function updateFields(pAccount, pLastName, pFirstName, pEmail, pRights){
	document.getElementById("accountField").value = pAccount;
	document.getElementById("firstNameField").value = pLastName;
	document.getElementById("lastNameField").value = pFirstName;
	document.getElementById("eMailField").value = pEmail;
	document.getElementById("adminField").checked = pRights ? (pRights.indexOf("admin")>=0) : false;
	document.getElementById("passwordCheck").checked = false;
	document.getElementById("passwordField").value = "";
	xLeaveDirtyStatus();
}

function cancel(){
	window.close();
}

function save(){
	var vAccount = document.getElementById("accountField").value;
	var vParams = "&param=" + encodeURIComponent(vAccount);
	vParams += "&firstname=" + encodeURIComponent(document.getElementById("firstNameField").value);
	vParams += "&lastname=" + encodeURIComponent(document.getElementById("lastNameField").value);
	vParams += "&email=" + encodeURIComponent(document.getElementById("eMailField").value);
	
	if(document.getElementById("passwordCheck").checked) {
		var vPassword = document.getElementById("passwordField").value;
		if( ! vPassword) {
			ut.alert("Veuillez renseigner un mot de passe.", "Mot de passe requis");
			document.getElementById("passwordField").focus();
			return;
		}
		var vPassword2 = document.getElementById("password2Field").value;
		if( ! vPassword2) {
			ut.alert("Veuillez confirmer votre mot de passe.", "Confirmation de mot de passe requis");
			document.getElementById("password2Field").focus();
			return;
		}
		if(vPassword != vPassword2) {
			ut.alert("Le nouveau mot de passe et sa confirmation ne sont pas égaux, veuillez recommencez.", "Contrôle de saisie du mot de passe");
			document.getElementById("passwordField").focus();
			return;
		}
		if( ! isPassword(vPassword)) {
			ut.alert("Votre nouveau mot de passe contient des caractères interdits.", "Mot de passe interdit");
			document.getElementById("passwordField").focus();
			return;
		}
		if(vPassword) vParams += "&passwrd=" + encodeURIComponent(vPassword);
	}
	document.documentElement.setAttribute("wait-cursor", "true");
	if(fCurrentLogin == vAccount && vPassword && fFctCallBackUpdatePass) {
		var vCb = function(pEvent){
			try{
				if(pEvent.target.status == 200) {
					fFctCallBackUpdatePass(vPassword);
				} else {
					ut.alert("L\'enregistrement a échoué. Recommencez ou contactez votre administrateur.", "Echec à la connexion");
				}
				document.documentElement.removeAttribute("wait-cursor");
				window.opener.setTimeout(cancel, 100);
			}catch(e){
				ut.debug("userprofile.js > save > vCb : " + e);
			}
		};
		fDataProvider.loadFromService("/u/adminUsers?cdaction=UpdateCurrentUser"+vParams, vCb, vCb);
	} else {
		fDataProvider.loadFromService("/u/adminUsers?cdaction=UpdateCurrentUser"+vParams, cbServer, cbServer);
	}
}

function togglePassword() {
	var vField = document.getElementById("passwordField");
	var vConfirmZone = document.getElementById("comfirmPassZone");
	if(document.getElementById("passwordCheck").checked){
		vConfirmZone.style.visibility = "visible";
		vField.disabled = false;
		vField.focus();
	} else {
		vConfirmZone.style.visibility = "hidden";
		vField.disabled = true;
		vField.value = "";
		document.getElementById("password2Field").value="";
	}
}
