



const SCMAXIMIZEBLOCK_EVENT = "SCMaximizeBlock";
const SCNORMALIZEBLOCK_EVENT = "SCNormalizeBlock";


function scMaxBlockOnMaximize(pEvent) {

	function maximize(pRoot, pBlock, pArray) {		
		function getDeep(pElt) {
			var vDeep = 0;
			for(var vP = pElt.parentNode; vP; vP = vP.parentNode) vDeep++;
			return vDeep;
		}
		var vDeepRoot = getDeep(pRoot);
		var vDeepBlock = getDeep(pBlock);

		for(var vCurrDeep = vDeepRoot; vCurrDeep < vDeepBlock; vCurrDeep++){
			var vCurrRoot = pBlock.parentNode;
			var vCurrChild = pBlock;
			for(var i = vCurrDeep+1; i < vDeepBlock; i++) {
				vCurrChild = vCurrRoot;
				vCurrRoot = vCurrRoot.parentNode;
			}
			if("isScMaximizeBlockMgr" in vCurrRoot) return;
			var vCh = vCurrRoot.firstChild;
			while(vCh){
				if(vCh != vCurrChild) {
					var vCs = window.getComputedStyle(vCh, null);
					if( vCs.display!="none" && vCs.visibility!="collapse"){

						vCh.collapsed = true;
						pArray.push(vCh);
					}
				}
				vCh = vCh.nextSibling;
			}
		}
	}

	var vRoot = pEvent.currentTarget;
	var vBlock = pEvent.target;
	var vArray = new Array();
	vRoot._scMaxBlockCollapsed = vArray;
	vRoot._scMaxBlock = vBlock;
	if(vRoot.nodeType == 9) vRoot = vRoot.documentElement;
	while(vBlock.ownerDocument != vRoot.ownerDocument){
		maximize(vBlock.ownerDocument.documentElement, vBlock, vArray);
		vBlock = vBlock.ownerDocument.defaultView.frameElement;
	}
	maximize(vRoot, vBlock, vArray);
}


function scMaxBlockOnNormalize(pEvent) {
	var vRoot = pEvent.currentTarget;
	if(vRoot && vRoot._scMaxBlock) {
		var vArr = vRoot._scMaxBlockCollapsed;
		for(var i = 0; i < vArr.length; i++) vArr[i].collapsed = false;
		delete vRoot._scMaxBlockCollapsed;
		delete vRoot._scMaxBlock;
	}
}


function scMaxBlockNormalize(pRoot){
	if(pRoot._scMaxBlock) {
		var vEvent = document.createEvent('Events');
		vEvent.initEvent("SCNormalizeBlock", true, false);
		pRoot._scMaxBlock.dispatchEvent(vEvent);
	}
}