
 
 /**
  * Script à charger pour les mainViews.
  * ATTENTION : à insérer en dernière balise de la page (pour le chargement des
  * overlays avant les bindings XBL).
  */
  
 /** Chargement des overlays. */
(function initMainView(){
	try {
		var vWspRegSvc = Components.classes["@scenari.com/wspregistryservice;1"].getService(Components.interfaces.scIWspRegistryService);
		var vUriObject = document.fUriObject;
		var vCdModel = vUriObject.getModel();
		var vCdPack = vUriObject.getPack();
		var vWspServer = vUriObject.getWspServer();
		var vWsp = vWspRegSvc.getWsp(vWspServer.getId(), ut.getWspFromUri(vUriObject.fUri));
		var vOverlayList = vWsp ? vWsp.getMainviewOverlayList(vCdPack, vCdModel) : null;
		
		var vOverlayListEnum = vOverlayList ? vOverlayList.enumerate() : null;
		
		if(vOverlayListEnum){
			while(vOverlayListEnum.hasMoreElements()) {
			      var vOv= vOverlayListEnum.getNext().QueryInterface(Components.interfaces.nsISupportsCString);

			      ut.applyOverlay(document, ut.getDomFromLocalFileUrl(vOv));

			}
		}
	} catch(e){
		ut.debug("treatOverlays failed : "+e);
	}
}).call(window);