


function UriObject(pUri, pDataProvider){






}


UriObject.prototype.activate = function(pFctCallBack, pObjectCtx){
	if(pFctCallBack) pFctCallBack.call(pObjectCtx, this);
}


UriObject.prototype.activateSynch = function(){
	this.xCleanCache();
}


UriObject.prototype.getWspServer = function(){
	if(this.fDataProvider) return this.fDataProvider.getWspServer();
	return null;
}
UriObject.prototype.getWspCode = function(){
	if(! ("fWspCd" in this)) {
		this.fWspCd = ut.getWspFromUri(this.fUri);
	}
	return this.fWspCd;
}


UriObject.prototype.getWsp = function(){
	if(! ("fWsp" in this)) {
		this.fWsp = null;
		var vWspReg = Components.classes["@scenari.com/wspregistryservice;1"].getService(Components.interfaces.scIWspRegistryService);
		this.fWsp = vWspReg.getWsp(this.fDataProvider.getWspServer().getId(), this.getWspCode());
	}
	return this.fWsp;
}


UriObject.prototype.getDataProvider = function(){
	return this.fDataProvider;
}




UriObject.prototype.getUri = function(){
	return this.fUri;
}


UriObject.prototype.getMainView = function(){
	return this.fMainView;
}





UriObject.prototype.getUrlToLoadContent = function(pUri, pParamTransform){
	if(pParamTransform) {
		if(!pUri) pUri = this.fUri;
		pUri += "?"+pParamTransform;
		return this.fDataProvider.getServiceUrl("/u/vueObjet?cdaction=ShowContent&scWspResp=no&param="+window.encodeURIComponent(pUri));
	} else {

		return this.fDataProvider.getSourceUrl("trav") + "/" + encodeURI( (!pUri) ? this.fUri : pUri ) + "?scWspResp=no";
	}
}


UriObject.prototype.getFilePath = function(pUri, pParamTransform){
	if( ! this.fDataProvider.isLocal()) return null;
	if(!pUri) pUri = this.fUri;
	if(pParamTransform) pUri += "?"+pParamTransform;
	return this.fDataProvider.getTextFromService("/u/vueObjet?cdaction=GetFilePath&param="+window.encodeURIComponent(pUri));
}


UriObject.prototype.loadFilePath = function(pUri, pParamTransform, pFctCallBack, pFctCallBackError){
	if( ! this.fDataProvider.isLocal()) pFctCallBackError.call(null, {target:{status:500, statusText:"Not a local server."}});
	if(!pUri) pUri = this.fUri;
	if(pParamTransform) pUri += "?"+pParamTransform;
	return this.fDataProvider.loadFromService("/u/vueObjet?cdaction=GetFilePath&param="+window.encodeURIComponent(pUri), pFctCallBack, pFctCallBackError);
}


UriObject.prototype.getItem = function(pUri){
	var vUriUsed = this.getOrCreateUriUsed(pUri);
	if(vUriUsed.fCache.fItem) return vUriUsed.fCache.fItem.cloneNode(true);
	vUriUsed.fCache.fItem = this.fDataProvider.getDomFromService("/u/vueObjet?cdaction=GetItem&param="+window.encodeURIComponent(vUriUsed.fUri));
	return vUriUsed.fCache.fItem;
}


UriObject.prototype.loadItem = function(pUri, pFctCallBack, pFctCallBackError){
	var vUriUsed = this.getOrCreateUriUsed(pUri);
	if(vUriUsed.fCache.fItem) {
		pFctCallBack.call(null, {target : {responseXML : vUriUsed.fCache.fItem.cloneNode(true)}});
		return;
	}
	var vUri = pUri;
	var vFctCallBack = pFctCallBack;
	var vFctCallBackError = pFctCallBackError;
	var vUriObject = this;
	function cb(pEvent){
		if(pEvent.target.error){
			vFctCallBackError.call(null, pEvent);
		} else {
			var vUriUsed = vUriObject.getOrCreateUriUsed(vUri);
			vUriUsed.fCache.fItem = pEvent.target.responseXML;
			vFctCallBack.call(null, pEvent);
		}
	}
	this.fDataProvider.loadFromService("/u/vueObjet?cdaction=GetItem&param="+window.encodeURIComponent(vUriUsed.fUri), cb, cb);
}



UriObject.prototype.getItemDef = function(pUri){
	var vUriUsed = this.getOrCreateUriUsed(pUri);
	if(vUriUsed.fCache.fItemDef) return vUriUsed.fCache.fItemDef.cloneNode(true);
	vUriUsed.fCache.fItemDef = this.fDataProvider.getDomFromService("/u/vueObjet?cdaction=GetItemDef&param="+window.encodeURIComponent(vUriUsed.fUri));
	return vUriUsed.fCache.fItemDef;
}


UriObject.prototype.loadItemDef = function(pUri, pFctCallBack, pFctCallBackError){
	var vUriUsed = this.getOrCreateUriUsed(pUri);
	if(vUriUsed.fCache.fItemDef) {
		pFctCallBack.call(null, {target : {responseXML : vUriUsed.fCache.fItemDef.cloneNode(true)}});
		return;
	}
	var vUri = pUri;
	var vFctCallBack = pFctCallBack;
	var vFctCallBackError = pFctCallBackError;
	var vUriObject = this;
	function cb(pEvent){
		if(pEvent.target.error){
			vFctCallBackError.call(null, pEvent);
		} else {
			var vUriUsed = vUriObject.getOrCreateUriUsed(vUri);
			vUriUsed.fCache.fItemDef = pEvent.target.responseXML;
			vFctCallBack.call(null, pEvent);
		}
	}
	this.fDataProvider.loadFromService("/u/vueObjet?cdaction=GetItemDef&param="+window.encodeURIComponent(vUriUsed.fUri), cb, cb);
}



UriObject.prototype.getDomContent = function(pUri){
	var vUriUsed = this.getOrCreateUriUsed(pUri);
	if(vUriUsed.fCache.fDomContent) return vUriUsed.fCache.fDomContent.cloneNode(true);
	vUriUsed.fCache.fDomContent = this.fDataProvider.getDomFromService("/u/vueObjet?cdaction=ShowContent&param="+window.encodeURIComponent(vUriUsed.fUri));
	return vUriUsed.fCache.fDomContent;
}



UriObject.prototype.loadDomContent = function(pUri, pFctCallBack, pFctCallBackError){
	var vUriUsed = this.getOrCreateUriUsed(pUri);
	if(vUriUsed.fCache.fDomContent) {
		pFctCallBack.call(null, {target : {responseXML : vUriUsed.fCache.fDomContent.cloneNode(true)}});
		return;
	}
	var vUri = pUri;
	var vFctCallBack = pFctCallBack;
	var vFctCallBackError = pFctCallBackError;
	var vUriObject = this;
	function cb(pEvent){
		if(pEvent.target.error){
			vFctCallBackError.call(null, pEvent);
		} else {
			var vUriUsed = vUriObject.getOrCreateUriUsed(vUri);
			vUriUsed.fCache.fDomContent = pEvent.target.responseXML;
			vFctCallBack.call(null, pEvent);
		}
	}
	this.fDataProvider.loadFromService("/u/vueObjet?cdaction=ShowContent&param="+window.encodeURIComponent(vUriUsed.fUri), cb, cb);
}


UriObject.prototype.getTextContent = function(pUri, pParamTransform){
	if(pParamTransform) {
		if(!pUri) pUri = this.fUri;
		pUri += "?"+pParamTransform;
		return this.fDataProvider.getTextFromService("/u/vueObjet?cdaction=ShowContent&param="+window.encodeURIComponent(pUri));
	} else {
		var vUriUsed = this.getOrCreateUriUsed(pUri);
		if(vUriUsed.fCache.fTextContent) return vUriUsed.fCache.fTextContent;
		vUriUsed.fCache.fTextContent = this.fDataProvider.getTextFromService("/u/vueObjet?cdaction=ShowContent&param="+window.encodeURIComponent(vUriUsed.fUri));
		return vUriUsed.fCache.fTextContent;
	}
}


UriObject.prototype.loadTextContent = function(pUri, pFctCallBack, pFctCallBackError){
	var vUriUsed = this.getOrCreateUriUsed(pUri);
	if(vUriUsed.fCache.fTextContent) {
		pFctCallBack.call(null, {target : {responseText : vUriUsed.fCache.fTextContent}});
		return;
	}
	var vUri = pUri;
	var vFctCallBack = pFctCallBack;
	var vFctCallBackError = pFctCallBackError;
	var vUriObject = this;
	function cb(pEvent){
		if(pEvent.target.error){
			vFctCallBackError.call(null, pEvent);
		} else {
			var vUriUsed = vUriObject.getOrCreateUriUsed(vUri);
			vUriUsed.fCache.fTextContent = pEvent.target.responseText;
			vFctCallBack.call(null, pEvent);
		}
	}
	this.fDataProvider.loadFromService("/u/vueObjet?cdaction=ShowContent&param="+window.encodeURIComponent(vUriUsed.fUri), cb, cb);
}


UriObject.prototype.loadItemNet = function(pUri, pParamRequests, pFctCallBack, pFctCallBackError){
	if(pUri==null)pUri = this.fUri;
	var vParam = (pParamRequests) ? window.encodeURIComponent(pUri+"?"+pParamRequests) : window.encodeURIComponent(pUri);
	this.fDataProvider.loadFromService("/u/vueObjet?cdaction=GetItemNet&param="+vParam, pFctCallBack, pFctCallBackError);
}







UriObject.prototype.saveDomContent = function(pUri, pDom, pContentType){

	var vUri = pUri||this.fUri;
	var vReq = this.fDataProvider.dialogSynchWithService("/u/trav/"+encodeURI(vUri), "PUT", pDom, pContentType); //"text/xml; charset=UTF-8"
	var vStatus;
	try {
		vStatus = vReq.status;
	} catch(e){

		vReq = this.fDataProvider.dialogSynchWithService("/u/trav/"+encodeURI(vUri), "PUT", pDom, pContentType); //"text/xml; charset=UTF-8"
		vStatus = vReq.status;
	}
	if(vStatus==204 || vStatus==201) {
		this.dispatchUpdate(pUri);
		return true;
	} else {
		this.alertError(vReq);
		return false;
	}
}


UriObject.prototype.saveTextContent = function(pUri, pText, pContentType){
	var vUri = pUri||this.fUri;
	var vReq = this.fDataProvider.dialogSynchWithService("/u/trav/"+encodeURI(vUri), "PUT", pText, pContentType);//"text; charset=ISO-8859-1" 
	if(vReq.status==204 || vReq.status==201) {
		this.dispatchUpdate(pUri);
		return true;
	} else {
		this.alertError(vReq);
		return false;
	}
}





UriObject.prototype.dispatchUpdate = function(pUri){
	try {

	    var vUri = pUri||this.fUri;
	    this.execUpdateUri(vUri, Components.interfaces.scIUriListener.EVENT_TYPE_UPDT);
	    this.fDataProvider.dispatchUpdateUri(ut.getWspFromUri(vUri), vUri, Components.interfaces.scIUriListener.EVENT_TYPE_UPDT, this.getIdAuthor(), false);
    }catch(e){ut.debug("UriObject.dispatchUpdate="+e);}
}


UriObject.prototype.addUpdateListener = function (pListener, pUri){
	var vUriUsed = this.getOrCreateUriUsed(pUri);
	var vListener = vUriUsed.fListeners;
	while(vListener) {
		if(vListener.fListener == pListener) {ut.debug("Listener already registered");return;}
		vListener = vListener.fNext;
	}
	vUriUsed.fListeners = {fListener:pListener, fNext:vUriUsed.fListeners};
}


UriObject.prototype.removeUpdateListener = function (pListener, pUri){
	var vUriUsed = this.getUriUsed(pUri);
	if(vUriUsed) {
		var vListener = vUriUsed.fListeners;
		var vPrev = null;
		while(vListener && vListener.fListener != pListener) {
			vPrev = vListener;
			vListener = vListener.fNext;
		}
		if(vListener) {
			if(vPrev) {
				vPrev.fNext = vListener.fNext;
			} else {
				vUriUsed.fListeners = null;
			}
		}
	}
}



UriObject.prototype.handleUriUpdate = function(pDataProvider, pWspCd, pUri, pEventType, pAuthor){

	if(pAuthor && this.getIdAuthor() == pAuthor) return false;
	this.execUpdateUri(pUri, pEventType);
}


UriObject.prototype.isUriUpdateHandled = function(pUri, pAuthor){

	var vUriUsed = this.getUriUsed(pUri);
	return (vUriUsed) ? true : false;
}




UriObject.prototype.getUriUsed = function (pUri){
	if(!pUri || pUri == this.fUri) return this;
	var vUriUsed = this.fNext;
	while(vUriUsed && vUriUsed.fUri != pUri) vUriUsed = vUriUsed.fNext;
	return vUriUsed;
}


UriObject.prototype.getOrCreateUriUsed = function (pUri){
	if(!pUri || pUri == this.fUri) return this;
	var vUriUsed = this.fNext;
	while(vUriUsed && vUriUsed.fUri != pUri) vUriUsed = vUriUsed.fNext;
	if(!vUriUsed) {
		vUriUsed = new UriObject.UriUsed(pUri, this.fNext);
		this.fNext = vUriUsed;
	}
	return vUriUsed;
}


UriObject.prototype.getIdAuthor = function(){
	if(!this.fIdAuthor) this.fIdAuthor = this.fDataProvider.newIdAuthor();
	return this.fIdAuthor;
}


UriObject.prototype.execUpdateUri = function(pUri, pEventType){
	try {
	if(!pUri) pUri = this.fUri;
	var vUriUsed = this;
	while(vUriUsed){
		if(this.isNeedDispatch(pUri, vUriUsed.fUri)) {

			if(this == vUriUsed) {

				try{this.activateSynch();}catch(e){ut.debug("UriObject.execUpdateUri.activateSynch="+e);}
			} else {
				vUriUsed.xCleanCache();
			}		

			var vListener = vUriUsed.fListeners;
			while(vListener) {
				try{vListener.fListener.handleUriObjectUpdate(this, pUri, pEventType);}catch(e){ut.debug("UriObject.execUpdateUri.handleUriObjectUpdate="+e);}
				vListener = vListener.fNext;
			}
		}
		vUriUsed = vUriUsed.fNext;
	}
	} catch(e){ut.debug("UriObject.prototype.execUpdateUri: "+e);}
}
UriObject.prototype.isNeedDispatch = function(pUriUpdated, pUriTarget){
	var vL1 = pUriUpdated.length;
	var vL2 = pUriTarget.length;
	if(vL1 == vL2) return pUriUpdated == pUriTarget;
	if(vL1 > vL2) {
		if(pUriUpdated.charAt(vL2)!="/") return false;
		return pUriUpdated.substring(0, vL2) == pUriTarget;
	} else {
		if(pUriTarget.charAt(vL1)!="/") return false;
		return pUriTarget.substring(0, vL1) == pUriUpdated;
	}
}

UriObject.prototype.alertError = function(pRequest){
	switch(pRequest.status) {
	case 403 :
		ut.alert("Il est interdit de créer un item à cet emplacement.", "Echec à l\'enregistrement");
		return;
	default :
		ut.alert(ut.formatStr("Une erreur est survenue durant l\'enregistrement : \n%1$s (%2$s)", pRequest.statusText, pRequest.status), "Erreur à l\'enregistrement");
	}
}

UriObject.prototype.toString = function(){
	return this.fUri;
}


UriObject.prototype.xCleanCache = function(){
	this.fCache = {};
}


UriObject.UriUsed = function (pUri, pNextUsed){
	this.fUri = pUri;
	this.fNext = pNextUsed;
	this.fCache = {};
}
UriObject.UriUsed.prototype.xCleanCache = UriObject.prototype.xCleanCache;



function UriObjectSpace(pUriSpace, pDataProvider){
	this.fDataProvider 	= pDataProvider;
	this.fUri 			= pUriSpace;
	this.fMainView 		= "chrome://scenaricms/content/view/space/space.mainview.xul";
	this.fNext = null;
	this.fCache = {};
}
UriObjectSpace.prototype = new UriObject();
UriObjectSpace.prototype.uriType = "space";



function UriObjectWsp(pCdWsp, pDataProvider){
	this.fDataProvider 	= pDataProvider;
	this.fUri 			= pCdWsp;
	this.fMainView 		= "chrome://scenaricms/content/view/wsp/wsp.mainview.xul";
	this.fNext = null;
	this.fCache = {};
}
UriObjectWsp.prototype = new UriObject();
UriObjectWsp.prototype.uriType = "wsp";




function UriObjectItem(pUri, pDataProvider, pPack, pModel){
	this.fUri = pUri;
	this.fDataProvider = pDataProvider;
	this.fCache = {};
	this.fCache.fPack = pPack;
	this.fCache.fModel = pModel;
	this.fNext = null;
}
UriObjectItem.prototype = new UriObject();
UriObjectItem.prototype.uriType = "item";


UriObjectItem.prototype.getPack = function(){
	return this.fCache.fPack;
}
UriObjectItem.prototype.getModel = function(){
	return this.fCache.fModel;
}
UriObjectItem.prototype.getMainView = function(){
	try {

		if(this.fCache.fPack) return packMgr.getPack(this.fCache.fPack).getMainViewUrl(this.fCache.fModel, ut.getUriResFromUri(this.fUri));
		var vSt = this.fCache.fItem.documentElement.firstChild.getAttribute("st");
		if(vSt < 0)	return "chrome://scenaricms/content/view/itemnull/itemnull.mainview.xul";
	} catch(e){ut.debug("UriObjectItem.getMainView() failed :\n"+e);}
	return "chrome://scenaricms/content/view/itemdefault/itemdefault.mainview.xul";
}

UriObjectItem.prototype.activate = function(pFctCallBack, pObjectCtx){
	var sFctCallBack = pFctCallBack;
	var sObjectCtx = pObjectCtx;
	var sUriObject = this;
	var sCountErr = 0;
	function cbLoadItem(pEvent){
		try{
			sUriObject.xCleanCache();
			sUriObject.fCache.fItem = pEvent.target.responseXML;
			sUriObject.fCache.fPack = sUriObject.fCache.fItem.documentElement.getAttribute("pack");
			sUriObject.fCache.fModel = sUriObject.fCache.fItem.documentElement.getAttribute("model");
			if(sFctCallBack) sFctCallBack.call(sObjectCtx, sUriObject);
		}catch(e){




			sCountErr++;
			if(sCountErr < 5) {
				window.setTimeout(callServ, 500);
			}
		}
	}
	function cbLoadItemError (){
		sCountErr++;
		if(sCountErr < 5) {

			window.setTimeout(callServ, 1000);
		} else {
			ut.alert("Echec à l\'obtention du contenu d\'un item. Recommencez ultérieurement.", "Erreur de connexion au serveur");
		}
	}
	function callServ() {
		sUriObject.fDataProvider.loadFromService("/u/vueObjet?cdaction=GetItem&param="+window.encodeURIComponent(sUriObject.fUri), cbLoadItem, cbLoadItemError);
	}
	callServ();
}

UriObjectItem.prototype.activateSynch = function(){
	try{
		this.xCleanCache();
		this.fCache.fItem = this.fDataProvider.getDomFromService("/u/vueObjet?cdaction=GetItem&param="+window.encodeURIComponent(this.fUri));
		this.fCache.fPack = this.fCache.fItem ? this.fCache.fItem.documentElement.getAttribute("pack") : null;
		this.fCache.fModel = this.fCache.fItem ? this.fCache.fItem.documentElement.getAttribute("model") : null;
	} catch(e){ut.debug("UriObjectItem.activateSynch="+e);}
}




UriObjectItem.prototype.getUriResSlash = function(){
	var vNodeRes = this.getItem().documentElement.lastChild;
	return (vNodeRes!=null) ? vNodeRes.getAttribute("urires") : null;
}


UriObjectItem.prototype.createUriObjectItem = function(pUri, pPack, pModel){
	return new UriObjectItem(pUri, this.fDataProvider, pPack, pModel);
}



UriObjectItem.prototype.createUriObjectItemForConflict = function(){
	var vName = ut.getLeafFromUri(this.fUri);
	var vUriParent = ut.getUriParent(this.fUri);
	var vPointIdx = vName.indexOf(".");
	var vNewName = vName.substring(0, vPointIdx) + "~conflict" + vName.substring(vPointIdx);
	var vNewUriObject = new UriObjectItem(ut.addLeafToUri(vUriParent, vNewName), this.fDataProvider, this.getPack(), this.getModel());
	var vCount = 2;
	while(vNewUriObject.getItem().documentElement.firstElementChild.getAttribute("status")>0) {
		if(vCount>50) throw "No item uri available.";
		vNewName = vName.substring(0, vPointIdx) + "~conflict" + (vCount++) + vName.substring(vPointIdx);
		vNewUriObject = new UriObjectItem(ut.addLeafToUri(vUriParent, vNewName), this.fDataProvider, this.getPack(), this.getModel());
	}
	return vNewUriObject;
}
