



desk.initHisto = function(){
	this.fHisto = null;
	this.fHistoBackButton = document.getElementById("oBackButton");
	this.fHistoForwardButton = document.getElementById("oForwardButton");
	this.fHistoBackButton.disabled = true;
	this.fHistoForwardButton.disabled = true;
}


desk.addToHisto = function(pDataProvider, pUri){
	if(this.fHisto == null || this.fHisto.fUri != pUri || this.fHisto.fDataProvider != pDataProvider) {
		var vEntry = {fUri:pUri, fDataProvider:pDataProvider};
		vEntry.fPrec = this.fHisto;
		if(this.fHisto) {
			if(this.fHisto.fNext) {

				var vEntryFrom = this.fHisto.fPrec;
				var vEntry0 = this.fHisto;
				var vEntry1 = this.fHisto.fNext;
				while(vEntry1) {
					var vEntry2 = vEntry1.fNext;
					vEntry1.fNext = vEntry0;
					vEntry0.fPrec = vEntry1;
					vEntry0 = vEntry1;
					vEntry1 = vEntry2;
				}
				if(vEntryFrom) vEntryFrom.fNext = vEntry0;
				vEntry0.fPrec = vEntryFrom;
			}
			this.fHisto.fNext = vEntry;
		}
		this.fHisto = vEntry;
	

		var vPrec = this.fHisto;
		var vNbPrec = 0;
		while(vPrec != null) {
			if(vNbPrec < 15) {
				vPrec = vPrec.fPrec;
			} else {

				var vNew = vPrec.fPrec;
				vPrec.fPrec = null;

				if(vNbPrec < 16) delete vPrec.fNext;
				vPrec = vNew;
			}
			vNbPrec++;
			if(vNbPrec > 50) {
				ut.debug("XXX : histo Cycle!!!!!!");
				break;
			}
		}
	}
	this.histoRefresh();
}



desk.goToHisto = function(pOffset, pOptions) {
	var vEntry = this.fHisto;
	if(pOffset>0) {
		while(vEntry!=null && pOffset!=0){
			vEntry = vEntry.fNext;
			pOffset--;
		}
	} else {
		while(vEntry!=null && pOffset!=0){
			vEntry = vEntry.fPrec;
			pOffset++;
		}
	}
	if(vEntry) {
		this.fHisto = vEntry;
		this.loadUriObjectByUri(vEntry.fDataProvider, vEntry.fUri, pOptions);
	}
	this.histoRefresh();
}



desk.addHistoInPopUp = function(pMenu, pNext){
	while(pMenu.hasChildNodes()) pMenu.removeChild(pMenu.lastChild);
	var vEntry = this.fHisto;
	if(pNext) vEntry = vEntry.fNext; else vEntry = vEntry.fPrec;
	var vOffset = 1;
	while(vEntry!=null){
		vChild = document.createElement("menuitem");
		vChild.setAttribute("label", vEntry.fUri);
		vChild.fOffset = vOffset++;
		pMenu.appendChild(vChild);
		if(pNext) vEntry = vEntry.fNext; else vEntry = vEntry.fPrec;
		if(vOffset > 20) {
			ut.debug("XXX : addHistoInPopUp Cycle!!!!!!");
			break;
		}
	}
}
desk.histoRefresh = function(){
	this.fHistoBackButton.disabled = this.fHisto == null || this.fHisto.fPrec == null;
	this.fHistoForwardButton.disabled = this.fHisto == null || this.fHisto.fNext == null;
}