
function WrappedTreeView(pView){
	this.fV = pView;
}


WrappedTreeView.prototype.__defineGetter__("rowCount", function(){return this.fV.rowCount});
WrappedTreeView.prototype.__defineGetter__("selection", function(){return this.fV.selection});


WrappedTreeView.prototype.setTree = function(pTree){
	this.fV.setTree(pTree);
}


WrappedTreeView.prototype.getCellText = function(pRow, pCol){
	return this.fV.getCellText(pRow, pCol);
}

WrappedTreeView.prototype.isSeparator = function(pRow){
	return this.fV.isSeparator(pRow);
}

WrappedTreeView.prototype.isEditable = function(pRow, pCol){
	return this.fV.isEditable(pRow, pCol);
}

WrappedTreeView.prototype.isSelectable = function(pRow, pCol){
	return this.fV.isSelectable(pRow, pCol);
}

WrappedTreeView.prototype.isSorted = function(){
	return this.fV.isSorted();
}

WrappedTreeView.prototype.getImageSrc = function(pRow, pCol){
	return this.fV.getImageSrc(pRow, pCol);
}

WrappedTreeView.prototype.getRowProperties = function(pRow, pProps){
	return this.fV.getRowProperties(pRow, pProps);
}

WrappedTreeView.prototype.getCellProperties = function(pRow, pCol, pProps){
	this.fV.getCellProperties(pRow, pCol, pProps);
}

WrappedTreeView.prototype.getColumnProperties = function(pCol, pProps){
	return this.fV.getColumnProperties(pCol, pProps);
}

WrappedTreeView.prototype.hasNextSibling = function(pRow, pAfterIndex){
	return this.fV.hasNextSibling(pRow, pAfterIndex);
}




WrappedTreeView.prototype.getLevel = function(pRow){
	return this.fV.getLevel(pRow);
}
WrappedTreeView.prototype.getParentIndex = function(pRow){
	return this.fV.getParentIndex(pRow);
}
WrappedTreeView.prototype.isContainer = function(pRow){
	return this.fV.isContainer(pRow);
}
WrappedTreeView.prototype.isContainerOpen = function(pRow){
	return this.fV.isContainerOpen(pRow);
}
WrappedTreeView.prototype.isContainerEmpty = function(pRow){
	return this.fV.isContainerEmpty(pRow);
}
WrappedTreeView.prototype.toggleOpenState = function(pRow){
	this.fV.toggleOpenState(pRow);
}



WrappedTreeView.prototype.canChangeSelect = function(){
	return true;
}







WrappedTreeView.prototype.getProgressMode = function (pRow, pCol){
	return this.fV.getProgressMode(pRow, pCol);
}
WrappedTreeView.prototype.getCellValue = function(pRow, pCol){
	return this.fV.getCellValue(pRow, pCol);
}
WrappedTreeView.prototype.cycleCell = function(pRow, pCol){
	this.fV.cycleCell(pRow, pCol);
}
WrappedTreeView.prototype.cycleHeader = function(pCol){
	this.fV.cycleHeader(pCol);
}


WrappedTreeView.prototype.canDrop = function(pRow, pOrientation){
	return this.fV.canDrop(pRow, pOrientation);
}



WrappedTreeView.prototype.drop = function(pRow, pOrientation){
	this.fV.drop(pRow, pOrientation);
} 



WrappedTreeView.prototype.selectionChanged = function(){	
	this.fV.selectionChanged();
}
WrappedTreeView.prototype.performAction = function(pAction){
	this.fV.performAction(pAction);
}
WrappedTreeView.prototype.performActionOnRow = function(pAction, pRow){
	this.fV.performActionOnRow(pAction, pRow);
}
WrappedTreeView.prototype.performActionOnCell = function(pAction, pRow, pColId){
	this.fV.performActionOnCell(pAction, pRow, pColId);
}
WrappedTreeView.prototype.setCellText = function(pRow, pColId, pValue){
	this.fV.setCellText(pRow, pColId, pValue);
}
WrappedTreeView.prototype.setCellValue = function(pRow, pColId, pValue){
	this.fV.setCellValue(pRow, pColId, pValue);
}



WrappedTreeView.prototype.__defineGetter__("root", function(){return this.fV.root});

WrappedTreeView.prototype.getIndexOfItem = function(pItem){
	return this.fV.getIndexOfItem(pItem);
}

WrappedTreeView.prototype.getItemAtIndex = function(pIdx){
	return this.fV.getItemAtIndex(pIdx);
}