<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" xmlns:sc="scenari">
<xsl:template match="sc:itemType">
<hbox align="center">
<description value="statut : "/>
<xsl:choose>
<xsl:when test="@status='1'">
<description value="OK"/>
</xsl:when>
<xsl:when test="@status='2'">
<description value="Alerte(s)"/>
</xsl:when>
<xsl:when test="@status='3'">
<description value="Erreur(s)"/>
</xsl:when>
<xsl:otherwise>
<description value="??"/>
</xsl:otherwise>
</xsl:choose>
<button label="recompiler" oncommand="execRecompil();"/>
</hbox>
<grid flex="1">
<columns>
<column flex="1" style="border:1px solid lightgrey;"/>
<column flex="1" style="border:1px solid lightgrey;"/>
<column flex="1" style="border:1px solid lightgrey;"/>
<column flex="1" style="border:1px solid lightgrey;"/>
</columns>
		
<rows >
<row style="border:1px solid lightgrey;">
<description value="Problème"/>
<description value="Message"/>
<description value="Détails"/>
<description value="Code"/>
</row>
<xsl:apply-templates/>
</rows>
</grid>
</xsl:template>
	
<xsl:template match="sc:problem">
<row>
<description value="{@level}"/>
<description value="{@message}"/>
<description><xsl:value-of select="@details"/></description>
<description value="{@code}"/>
</row>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
