
var desk = {};





desk.deskType = "EditRefItem";


desk.isReadOnly = function(){
	return false;
}


desk.canUnloadCurrentView = function(pSilentMode) {
	var vCanUnload = true;
	try{vCanUnload = this.fMainView.contentWindow.canUnload(pSilentMode);}catch(e){ut.debug(e+"\n"+ut.listProperties(this.fMainView))}
	return vCanUnload;
}


desk.fPoolRequest = [];
desk.requestForCurrentView = function(pRequest, pKeepIfViewUnvailable) {
	try{

		if(this.fPoolRequest.length > 0) {
			for each (var vReq in this.fPoolRequest) this.fMainView.contentWindow.handleRequest(vReq);
			this.fPoolRequest.length = 0;
		}

		return this.fMainView.contentWindow.handleRequest(pRequest);
	}catch(e){
		if(pKeepIfViewUnvailable) this.fPoolRequest.push(pRequest);
	}
}


desk.loadUriObjectByUri = function(pDataProvider, pUri, pOptions){
	pOptions = pOptions || "";
	if(pOptions.indexOf(";newwindow;")>=0) {

		return;
	}

	scMaxBlockNormalize(document);
	var vCdWsp = pUri;
	var vSlash = pUri.indexOf("/");
	if(vSlash>0) vCdWsp = pUri.substr(0, vSlash);
	if(desk.fCdWsp == vCdWsp) {
		var vUriObject = ut.createUriObjectByUri(pDataProvider, pUri);
		if(vUriObject == null) vUriObject = new UriObjectWsp(this.fCdWsp, this.fDataProvider);
		this.activateUriObject(vUriObject);
	}
}





desk.fRefItem = null;


desk.fDataProvider = null;
desk.fCdWsp = null;


desk.fMainView = null;

desk.fWspView = null;

desk.fItemSel = null;

desk.fIsInit = false;
desk.initDesk = function(){
	try{
	if(!this.fIsInit) {
		this.fMainView = document.getElementById("oMainView");
		this.fWspView = document.getElementById("oWspView");
		this.fItemSel = document.getElementById("oItemSel");
		
		if(window.arguments) {
			this.fRefItem = window.arguments[0];
		} else {

			this.fRefItem = window.frameElement.fEditItem;
			document.getElementById("oBoxItemSel").collapsed = true;
			document.getElementById("btnCancel").collapsed = true;
			document.getElementById("btnSel").collapsed = true;
		}
		this.fDataProvider = this.fRefItem.fUriObject.getDataProvider();
		this.fWspServer = this.fRefItem.fUriObject.getWspServer();
		this.fCdWsp = ut.getWspFromUri(this.fRefItem.fUriObject.getUri());

		
		this.fItemSel.fUriObject = this.fRefItem.fUriObject;
		this.fItemSel.fRegexpSgn = this.fRefItem.fRegexpSgn;
		
		if(this.fRefItem.hasAttribute("msgWrongSgn")) this.fItemSel.setAttribute("msgWrongSgn", this.fRefItem.getAttribute("msgWrongSgn"));
		
		this.fItemSel.setItem(this.fRefItem.sp, this.fRefItem.cd, this.fRefItem.uriRes);
		
		if(! this.fRefItem.withUriRes) document.getElementById("oRowUriRes").hidden = true;
		

		document.addEventListener(SCMAXIMIZEBLOCK_EVENT, scMaxBlockOnMaximize, false);
		document.addEventListener(SCNORMALIZEBLOCK_EVENT, scMaxBlockOnNormalize, false);
		var vTabpanels = document.getElementById("oPanels");
		vTabpanels.addEventListener(SCMAXIMIZEBLOCK_EVENT, function(pEvent){pEvent.currentTarget.setAttribute("maximized", "true");}, false);
		vTabpanels.addEventListener(SCNORMALIZEBLOCK_EVENT, function(pEvent){pEvent.currentTarget.removeAttribute("maximized");}, false);
		
		this.initHisto();
		
		this.fRefItem.setEditStatus(true);
		this.fIsInit = true;
		


		var vSelTab = document.getElementById("oTabs").getAttribute("selectedidx"); 
		if(vSelTab != "0") {
			document.getElementById("oTabbox").selectedIndex = document.getElementById("oTabs").getAttribute("selectedidx");
		} else {

			this.tabSelected(document.getElementById("oTabbox").selectedTab);
		}
	}
	}catch(e){ut.debug(e)}
}
desk.destroyDesk = function(){
	if(this.fIsInit) {
		this.fRefItem.setEditStatus(false);
		this.fIsInit = false;

		this.fDataProvider = null;
		document.removeEventListener(SCMAXIMIZEBLOCK_EVENT, scMaxBlockOnMaximize, false);
		document.removeEventListener(SCNORMALIZEBLOCK_EVENT, scMaxBlockOnNormalize, false);
	}
}

desk.setRefItem = function(pSp, pCd, pUriRes){
	if(window.arguments) {
		this.fItemSel.setItem(pSp, pCd, pUriRes);
		document.getElementById("btnSel").disabled =  ! pCd;
	} else {

		this.fRefItem.setItem(pSp, pCd, pUriRes);
		this.fRefItem.xFireChangeItem();
	}
}

desk.tabSelected = function(pTab){
	if(this.fIsInit) {
		var vTabs = document.getElementById("oTabs");
		vTabs.setAttribute("selectedidx", vTabs.selectedIndex);
		var vCd = pTab.getAttribute("value");
		if(vCd == "edit") {
			this.initEditTab();
		} else if(vCd == "sel") {
			this.initSelTab();
		} else if(vCd == "search") {

		}
	}
}

desk.selectAndClose = function(){
	if( ! desk.canUnloadCurrentView(false)) return;
	this.fRefItem.setItem(this.fItemSel.fSp, this.fItemSel.fCd, this.fItemSel.fUriRes, this.fItemSel.fSpSs, this.fItemSel.fCdSs, this.fItemSel.fPack, this.fItemSel.fModel, this.fItemSel.fTitle, this.fItemSel.fStatus, this.fItemSel.fItemDef);
	this.fRefItem.xFireChangeItem();
	window.close();
}





desk.doRefreshWin = function(){
	if(this.canCloseDesk()) window.location.reload();
}

desk.canCloseDesk = function(){
	return this.canUnloadCurrentView(false);
}




desk.initEditTab = function(){
	document.getElementById("oInputSp").value = this.fItemSel.sp || "";
	document.getElementById("oInputCd").value = this.fItemSel.cd || "";
	document.getElementById("oInputUriRes").value = this.fItemSel.uriRes || "";
	document.getElementById("oInputSpError").collapsed = true;
	document.getElementById("oInputCdError").collapsed = true;
	document.getElementById("oInputUriResError").collapsed = true;
}

desk.updtEditSp = function(){
	var vSp = document.getElementById("oInputSp").value;
	if(vSp != this.fItemSel.sp) {
		if(!vSp) {
			ut.alert("L'espace est obligatoire.", "Anomalie de saisie");
			document.getElementById("oInputSpError").collapsed = false;
			return;
		}
		var vRegExp = /[$\\\/><|?:*"~#]/;
		if(vRegExp.test(vSp)){
			ut.alert("L'espace contient des caractères interdits : [ ] $ \\ / > < | ? : * \" ~ #", "Anomalie de saisie");
			document.getElementById("oInputSpError").collapsed = false;
			return;
		}
		this.setRefItem(vSp, this.fItemSel.cd, this.fItemSel.uriRes);
	}
	document.getElementById("oInputSpError").collapsed = true;
}

desk.updtEditCd = function(){
	var vCd = document.getElementById("oInputCd").value;
	if(vCd != this.fItemSel.cd) {
		if(!vCd) {
			ut.alert("Le code est obligatoire.", "Anomalie de saisie");
			document.getElementById("oInputCdError").collapsed = false;
			return;
		}
		var vRegExp = /[$\\\/><|?:*"~#]/;
		if(vRegExp.test(vCd)){
			ut.alert("Le code contient des caractères interdits : [ ] $ \\ / > < | ? : * \" ~ #", "Anomalie de saisie");
			document.getElementById("oInputCdError").collapsed = false;
			return;
		}
		if(vCd.indexOf(".")<0) {
			ut.alert("Le code doit impérativement posséder une extension : \'.xml\', \'.txt\', etc.", "Anomalie de saisie");
			document.getElementById("oInputCdError").collapsed = false;
			return;
		}
		this.setRefItem(this.fItemSel.sp, vCd, this.fItemSel.uriRes);
	}
	document.getElementById("oInputCdError").collapsed = true;
}

desk.updtEditUriRes = function(){
	var vUriRes = document.getElementById("oInputUriRes").value;
	if(vUriRes != this.fItemSel.uriRes) {
		if(vUriRes) {
			vRegExpUriRes = /[$\\><|?:*"~#]/;
			if(vRegExp.test(vUriRes)){
				ut.alert("Le chemin de la ressource contient des caractères interdits : [ ] $ \\ > < | ? : * \" ~ #", "Anomalie de saisie");
				document.getElementById("oInputUriResError").collapsed = false;
				return;
			}
		}
		this.setRefItem(this.fItemSel.sp, this.fItemSel.cd, vUriRes);
	}
	document.getElementById("oInputUriResError").collapsed = true;
}



desk.initSelTab = function(){
	document.getElementById("oWspTitle").setAttribute("value", this.fCdWsp);
	if(!("fWspMgr" in this.fWspView)) {
		var vWspView = this.fWspView;
		
		var vWspRegSvc = Components.classes["@scenari.com/wspregistryservice;1"].getService(Components.interfaces.scIWspRegistryService);
		vWspView.init(vWspRegSvc.getWsp(this.fWspServer.getId(), this.fCdWsp));
		
		var vServiceAtom = Components.classes["@mozilla.org/atom-service;1"].getService(Components.interfaces.nsIAtomService);
		vWspView.fViewMgr.fWrongType = vServiceAtom.getAtom("WrongType");
		vWspView.fViewMgr.fGoodType = vServiceAtom.getAtom("GoodType");
		vWspView.fViewMgr.fRegexpSgn = desk.fRefItem.fRegexpSgn;
		vWspView.fViewMgr.getCellProperties = function(pRow, pCol, pProps){
			this.__proto__.getCellProperties.call(this, pRow, pCol, pProps);

			if(this.fRegexpSgn) {
				var vItem = this.xGetItem(pRow);
				if(!("ittyOk" in vItem)){
					vItem.ittyOk = 0;
					if(vItem.sgn) vItem.ittyOk = this.fRegexpSgn.test(vItem.sgn) ? 1 : -1;
				}
				if(vItem.ittyOk != 0) pProps.AppendElement(vItem.ittyOk>0 ? this.fGoodType : this.fWrongType);
			}
		}
		this.fWspView.fWspMgr = vWspView;
	}
	var vUriObject = ut.createUriObjectByUri(this.fDataProvider, this.fItemSel.uri);
	if(vUriObject == null) vUriObject = new UriObjectWsp(this.fCdWsp, this.fDataProvider);
	this.activateUriObject(vUriObject);
	this.fWspView.focus();
}


desk.activateUriObject = function(pUriObject){
	this.fMainView.fUriObject = pUriObject;

	if(pUriObject != null) {
		window.setCursor("wait");
		pUriObject._deskEditRefItemMainView = this.fMainView;
		pUriObject.activate(this.setUriObjectActivated, this);
		var vCd = ut.getCodeFromUri(pUriObject.getUri());
		this.setRefItem(ut.getSpaceFromUri(pUriObject.getUri()), vCd, ut.getUriResFromUri(pUriObject.getUri()));
	}
}


desk.getCurrentUriObject = function(){
	return this.fMainView.fUriObject;
}


desk.setUriObjectActivated = function(pUriObject){
	try{
		if(pUriObject._deskEditRefItemMainView.fUriObject == pUriObject) {

			var vUrl = pUriObject.getMainView();
			pUriObject._deskEditRefItemMainView.webNavigation.loadURI(vUrl, 0, null, null, null);

			window.setCursor("auto");

			var vUri = pUriObject.getUri();

			this.addToHisto(pUriObject.getDataProvider(), vUri);
			this.fWspView.fWspMgr.selectUri(vUri);

		}
	}catch(e){ut.debug(e);}
}

desk.createItem = function(){
	var vItemPtr = (window.arguments) ? this.fItemSel : this.fRefItem;
	var vUri = vItemPtr.uri;
	var vSp = (vItemPtr.cd ? ut.getUriParent(vUri) : vUri) || this.fCdWsp;
	creator.createItem(this.fDataProvider, vSp, (vItemPtr.fStatus<0)? vItemPtr.cd : null, null, -1, function(pDataProvider, pUri){if(pUri) desk.loadUriObjectByUri(pDataProvider, pUri)}, null, vItemPtr.fRegexpSgn ? vItemPtr.fRegexpSgn.source : null);
}

function deskWspViewOnSelect(pEvent) {
	var vWspView = pEvent.target;
	var vCurrentUriObject = desk.getCurrentUriObject();
	var vNewUriObject = vWspView.getUriObject();
	if(vNewUriObject && (!vCurrentUriObject || vNewUriObject.getUri()!=vCurrentUriObject.getUri())){
		if(desk.canUnloadCurrentView(false)) desk.activateUriObject(vNewUriObject);
	}
}