




function WspUpdtMgr(pIdServer, pCodeWsp, pWspInfoDom, pObjWin){
	this.fIdServer = pIdServer;
	this.fCodeWsp = pCodeWsp;
	this.fObjCurrentInstallObj = null;
	this.fObjListeCellStatut = null;
	this.fWspReg = Components.classes["@scenari.com/wspregistryservice;1"].getService(Components.interfaces.scIWspRegistryService);
	this.fIsMigrationNeed  = false;
	this.fDataProvider = this.fWspReg.getDataProvider(this.fIdServer);
	this.fWspServer = this.fWspReg.getServer(this.fIdServer);
	this.fWsp = this.fWspReg.getWsp(this.fIdServer, pCodeWsp);
	this.fCurrentWspInfoDom = pWspInfoDom;
			
	this.fIsInstallPending  = false; //processus de maj en cours
	
	this.fSetCurrentWindowObj(pObjWin);
	this.fOkBtn = null;
	this.fCloseBtn = null;
	this.fInfoLbl = null;
	
	this.fSrvStatus = "noCheck";
	this.fCheckUpdates=null;
}





WspUpdtMgr.prototype.fSetCurrentWindowObj = function(pObjWin){
	try{
		this.fObjWin = pObjWin ? pObjWin : window;
		var vListeBtn = this.fObjWin.document.getElementsByTagName('button');
		for(var ii=0; ii<vListeBtn.length; ii++){
			if(vListeBtn[ii].getAttribute('id')=='btnInstaller') this.fOkBtn = vListeBtn[ii];
			else if(vListeBtn[ii].getAttribute('id')=='btnFermer') this.fCloseBtn = vListeBtn[ii];
		}
		this.fInfoLbl = document.getElementById("idUpdtInfo");
	}catch(e){
		ut.debug("WspUpdtMgr.prototype.fSetCurrentWindowObj:"+e);
	}
}



WspUpdtMgr.prototype.searchAsyncSrvUpdt = function(){
	try{
		this.fSrvStatus = "checkPending";
		var vWspUpdtMgr = this;
		function cb(pEvent){
			try {
				var vUpdateWsp = pEvent.target.responseXML;
				var vStatus = vUpdateWsp.documentElement.getAttribute("results");
				if(vStatus=="updatesAvailable"){
					vWspUpdtMgr.fSrvStatus = "updatesAvailable";
					vWspUpdtMgr.fCheckUpdates = vUpdateWsp;
				}else if(vStatus=="noUpdatesAccessFailed"){
					vWspUpdtMgr.fSrvStatus = "noUpdatesAccessFailed";
				}else{
					vWspUpdtMgr.fSrvStatus = "noUpdates";
				}
			} catch(e){
				ut.debug("WspMajMgr.prototype.searchAsyncSrvUpdt.cb : "+e);
				vWspUpdtMgr.fSrvStatus = "error";
			}
		}
		this.fDataProvider.loadFromService("/u/adminWsp?cdaction=CheckUpdates&param="+this.fCodeWsp, cb, cb);
	}catch(e){
		ut.debug("WspUpdtMgr.prototype.searchAsyncSrvUpdt : " + e);
	}
}





WspUpdtMgr.prototype.showMaj = function(){

	window.openDialog("chrome://scenaricms/content/wspmgr/wspupdate/wspupdt.xul", "", "chrome, modal, resizable=yes", this);
}





WspUpdtMgr.prototype.setUpdtStatus = function(pStatus, pMessage){
	if(pStatus=='ok'){
		this.fIsInstallPending	= false;
		if(this.fOkBtn){
			if(this.fOkBtn.hasAttribute("image")) this.fOkBtn.removeAttribute("image");
			this.fOkBtn.disabled	= true;
		}
		if(this.fCloseBtn) 	this.fCloseBtn.disabled	= false;
		this.fObjCurrentInstallObj = null;
		this.refreshUpdtPending("ok");
	}else if(pStatus=='error'){
		this.fIsInstallPending	= false;
		if(this.fOkBtn){
			if(this.fOkBtn.hasAttribute("image")) this.fOkBtn.removeAttribute("image");
			this.fOkBtn.disabled	= true;
		}
		if(this.fCloseBtn) 	this.fCloseBtn.disabled	= false;
		this.fObjCurrentInstallObj = null;
		this.refreshUpdtPending("error");
	}else if(pStatus=='work'){
		this.fIsInstallPending	= true;
		if(this.fOkBtn){
			this.fOkBtn.setAttribute("image", "chrome://scenaricms/content/wspmgr/img/btnCheckMajPending.gif");
			this.fOkBtn.disabled	= true;
		}
		if(this.fCloseBtn) 	this.fCloseBtn.disabled	= true;
	}
	if(this.fInfoLbl) this.fInfoLbl.value = pMessage;
}




WspUpdtMgr.prototype.installUpdt = function(){
	try{
		var vExecMigration = {value:this.fIsMigrationNeed};
		if(this.fIsMigrationNeed){
			if(!ut.confirm("Les contenus de votre atelier doivent être mis à jour. Vous ne pourrez pas annuler cette action. Voulez-vous continuer l\'installation ?", null, "Continuer", "Annuler", "Executer la mise à jour des contenus", vExecMigration)){
				this.fDataProvider.loadFromService("/u/adminWsp?cdaction=AbortUpdates&param="+this.fCodeWsp, null, null);
				return;
			}
		}
		if(vExecMigration.value){

            var vRespMigr = this.fDataProvider.dialogSynchWithService("/u/adminWsp?cdaction=CheckBeforeMigration&param="+this.fCodeWsp, "GET", null, null);
            if(vRespMigr.status==420) {
                var vErrXml = vRespMigr.responseXML;
                ut.alert("La migration est impossible :\n" + ((vErrXml && vErrXml.documentElement.hasAttribute("desc")) ? vErrXml.documentElement.getAttribute("desc") : vRespMigr.responseText), "Echec de la migration");
                return;
            }
        }
				
		var vWspUpdtMgr = this;
		vWspUpdtMgr.setUpdtStatus("work", "");
		
		function cbUpdt(pEvent){
			try {
				var vInfoWsp = pEvent.target.responseXML.documentElement;
				vWspUpdtMgr.fCurrentWspInfoDom = vInfoWsp;
				var vStatus = vInfoWsp.getAttribute('status');
				if(vStatus=='noWsp' || vStatus=='noActiveWsp' || vStatus=='noRepository' || vStatus=='noAccess' || vStatus=='failed'){
					vWspUpdtMgr.setUpdtStatus("error", "Atelier indisponible (" + vInfoWsp.getAttribute('error') + ")");
				}else if(vStatus=='downloadRes'){
					vWspUpdtMgr.setUpdtStatus("work", "Téléchargement des mises à jour en cours...");

					function cb(pEvent){
						try {
							var vUpdateListe = pEvent.target.responseXML;
							if(vUpdateListe.documentElement.getElementsByTagName("realeased")[0]){
								vWspUpdtMgr.fObjCurrentInstallObj=vWspUpdtMgr.xGetObjDownload(vUpdateListe.documentElement);
								vWspUpdtMgr.refreshUpdtPending();
								vWspUpdtMgr.fObjWin.setTimeout(vWspUpdtMgr.fDataProvider.loadFromService, 1000, "/u/adminWsp?cdaction=DownloadUpdates&param="+vWspUpdtMgr.fCodeWsp, cb, cb); // NOTE : le changement de contexte de wspUpdt (passage d'une fenetre à l'autre) fait que le setTimeOut s'execute tjs dans la fenetre parente. Bug gecko1.9
							}else{// téléchargement terminé

								vWspUpdtMgr.fObjWin.setTimeout(function(pServer, pUrl, pCb){pServer.loadFromService(pUrl, pCb, pCb);}, 2000, vWspUpdtMgr.fDataProvider, "/u/adminWsp?cdaction=InfoWsp&param="+vWspUpdtMgr.fCodeWsp, cbUpdt);
							}
						} catch(e){
							vWspUpdtMgr.setUpdtStatus("error", "Atelier indisponible (" + vInfoWsp.getAttribute('error') + ")");
							ut.debug("WspUpdtMgr.prototype.installUpdt.cb : "+e);
						}
					}
					vWspUpdtMgr.fDataProvider.loadFromService("/u/adminWsp?cdaction=DownloadUpdates&param="+vWspUpdtMgr.fCodeWsp, cb, cb);
				}else if(vStatus=='init'){
					vWspUpdtMgr.setUpdtStatus("work", "Initialisation en cours...");
					vWspUpdtMgr.fObjWin.setTimeout(function(pDataProvider, pUrl, pCb){pDataProvider.loadFromService(pUrl, pCb, pCb);}, 2000, vWspUpdtMgr.fDataProvider, "/u/adminWsp?cdaction=InfoWsp&param="+vWspUpdtMgr.fCodeWsp, cbUpdt);
				}else if(vStatus=='migrating'){
					vWspUpdtMgr.setUpdtStatus("work", "Mise à jour des contenus en cours...");
					vWspUpdtMgr.fObjWin.setTimeout(function(pDataProvider, pUrl, pCb){pDataProvider.loadFromService(pUrl, pCb, pCb);}, 2000, vWspUpdtMgr.fDataProvider, "/u/adminWsp?cdaction=InfoWsp&param="+vWspUpdtMgr.fCodeWsp, cbUpdt);
				}else if(vStatus=='ok' ){
				    vWspUpdtMgr.setUpdtStatus("ok", "");
				}else if(vStatus==null){
					if(vCounter<10){
						vCounter++;
						vWspUpdtMgr.fObjWin.setTimeout(function(pDataProvider, pUrl, pCb){pDataProvider.loadFromService(pUrl, pCb, pCb);}, 2000, vWspUpdtMgr.fDataProvider, "/u/adminWsp?cdaction=InfoWsp&param="+vWspUpdtMgr.fCodeWsp, cbUpdt);
					}else{
						ut.debug("vInfoWsp::"+ut.getXml(vInfoWsp));
						ut.debug("counter:: "+vCounter);
						vWspUpdtMgr.setUpdtStatus("error", "Atelier indisponible (" + vInfoWsp.getAttribute('error') + ")");
					}
				}
			} catch(e){
				vWspUpdtMgr.setUpdtStatus("error", "Atelier indisponible (" + vInfoWsp.getAttribute('error') + ")");
				ut.debug("WspUpdtMgr.prototype.installUpdt.cb : "+e);
			}
		}

		this.fDataProvider.loadFromService("/u/adminWsp?cdaction="+ (vExecMigration.value ? "MigrateInstallUpdates" : "InstallUpdates")+"&param="+this.fCodeWsp, null, null);

		this.fDataProvider.loadFromService("/u/adminWsp?cdaction=InfoWsp&param="+this.fCodeWsp, cbUpdt, cbUpdt);
	}catch(e){
		ut.debug("WspUpdtMgr.prototype.refreshView:"+e);
	}
}





WspUpdtMgr.prototype.refreshUpdtPending = function(pState){
	try{
		for(var vkeyUpdate in this.fObjListeCellStatut){
			var vCellToUpdate = this.fObjListeCellStatut[vkeyUpdate];
			var vTexte = "";
			if(this.fObjCurrentInstallObj && (vkeyUpdate in this.fObjCurrentInstallObj)){// telechargement en cours
				if (this.fObjCurrentInstallObj[vkeyUpdate].fPhase==1 || this.fObjCurrentInstallObj[vkeyUpdate].fPhase==2){
					vCellToUpdate.setAttribute("mode","normal");
					vCellToUpdate.setAttribute("value",this.fObjCurrentInstallObj[vkeyUpdate].fAvancement);

				} else if (!this.fObjCurrentInstallObj[vkeyUpdate] || this.fObjCurrentInstallObj[vkeyUpdate].fPhase==3){
					vCellToUpdate.setAttribute("mode","none");
					vTexte = "";
					vCellToUpdate.setAttribute('src','chrome://scenaricms/content/wspmgr/img/ok.png');
				} else if (this.fObjCurrentInstallObj[vkeyUpdate].fPhase==4){
					vCellToUpdate.setAttribute("mode","none");
					vTexte = "échec";
				}
			}else{// pas de telechargement en cours
				vCellToUpdate.setAttribute("mode","none");
				if(pState=="error"){
					vCellToUpdate.setAttribute("mode","none");
					vTexte = "échec";
				}else if(pState=="ok"){
					vTexte = "";
					vCellToUpdate.setAttribute('src','chrome://scenaricms/content/wspmgr/img/ok.png');
				}else{
					vTexte = "non installé";
				}
			}
			vCellToUpdate.setAttribute('label',vTexte);
		}
		return true;
	}catch(e){
		ut.debug("WspUpdtMgr.prototype.refreshUpdtPending:"+e);
		return false;
	}	
}




WspUpdtMgr.prototype.refreshView = function(){
	try{


		var vWinDocument = this.fObjWin.document;
		this.fObjListeCellStatut = new Object;
		var vObjTree = vWinDocument.getElementsByTagName('tree')[0];
		var vObjTreeChildren = vObjTree.getElementsByTagName('treechildren')[0];
		var vObjTreeCols = vObjTree.getElementsByTagName('treecols')[0];
		while(vObjTreeChildren.hasChildNodes()) vObjTreeChildren.removeChild(vObjTreeChildren.lastChild);
		while(vObjTreeCols.hasChildNodes()) vObjTreeCols.removeChild(vObjTreeCols.lastChild);
		

		var vObjTreeCol = document.createElement('treecol');// Titre
			vObjTreeCol.setAttribute("id","idTreeListeMajTitre");	vObjTreeCol.setAttribute("primary",true);	vObjTreeCol.setAttribute("flex",4);	vObjTreeCol.setAttribute("label","Titre");	
			vObjTreeCols.appendChild(vObjTreeCol);
		vObjTreeCols.appendChild(document.createElement('splitter'));
		var vObjTreeCol = document.createElement('treecol');// Version
			vObjTreeCol.setAttribute("id","idTreeListeMajVersion");	vObjTreeCol.setAttribute("flex",1);	vObjTreeCol.setAttribute("label","Version");
			vObjTreeCols.appendChild(vObjTreeCol);
		vObjTreeCols.appendChild(document.createElement('splitter'));
		var vObjTreeCol = document.createElement('treecol');// Description
			vObjTreeCol.setAttribute("id","idTreeListeMajDesc");	vObjTreeCol.setAttribute("flex",4);	vObjTreeCol.setAttribute("label","Description");
			vObjTreeCols.appendChild(vObjTreeCol);
		vObjTreeCols.appendChild(document.createElement('splitter'));
		var vObjTreeCol = document.createElement('treecol');// %
			vObjTreeCol.setAttribute("type","progressmeter"); vObjTreeCol.setAttribute("id","idTreeListeMajStatus");	vObjTreeCol.setAttribute("flex",1);	vObjTreeCol.setAttribute("label","Statut");
			vObjTreeCols.appendChild(vObjTreeCol);
		
		this.fIsMigrationNeed = (this.fCheckUpdates.documentElement.hasAttribute('isMigrationNeeded') && this.fCheckUpdates.documentElement.getAttribute('isMigrationNeeded')=='true') ? true : false;

		var vTw = this.fCheckUpdates.createTreeWalker(this.fCheckUpdates, NodeFilter.SHOW_ELEMENT, function(pNode){
						switch(pNode.localName) {
							case "newWspType" : 
							case "newSystemSpace" : 
							case "optionUpdates" : return NodeFilter.FILTER_ACCEPT;
							case "checkUpdates" : return NodeFilter.FILTER_SKIP;
							default : return NodeFilter.FILTER_REJECT;
						}
					}, false);
		try {
			var vCurrentMaj = vTw.firstChild();
			while(vCurrentMaj){
				if(vCurrentMaj.nodeType==1){

					var vKey = vCurrentMaj.getAttribute('keyRes');
					var vTitle = vCurrentMaj.hasAttribute('title') ? vCurrentMaj.getAttribute('title') : (vCurrentMaj.hasAttribute('keyRes') ? vCurrentMaj.getAttribute('keyRes') : vCurrentMaj.getAttribute('uri'));
					var vDescription = vCurrentMaj.getAttribute('title');
					var vCurrentVersion = vCurrentMaj.getAttribute('currentVersion');
					var vNewVersion = vCurrentMaj.getAttribute('newVersion');
					var vListBug = vCurrentMaj.getElementsByTagName('bug');
					var vListFeature = vCurrentMaj.getElementsByTagName('feature');
					var vObjTreeItem = document.createElement('treeitem');
						if((vListBug.length + vListFeature.length)>0) vObjTreeItem.setAttribute('container','true');
						var vObjTreeRow = document.createElement('treerow');
							var vObjTreeCell = document.createElement('treecell');	
								vObjTreeCell.setAttribute('label',vTitle);
								vObjTreeRow.appendChild(vObjTreeCell);
							var vObjTreeCell = document.createElement('treecell');
								vObjTreeCell.setAttribute('label',vNewVersion);
								vObjTreeRow.appendChild(vObjTreeCell);
							var vObjTreeCell = document.createElement('treecell');	
								vObjTreeCell.setAttribute('label',vDescription);
								vObjTreeRow.appendChild(vObjTreeCell);
							var vObjTreeCell = document.createElement('treecell');	
								vObjTreeCell.setAttribute('id','upt'+vKey);
								vObjTreeCell.setAttribute('label','non installé');
								vObjTreeCell.setAttribute("mode","none");
								vObjTreeRow.appendChild(vObjTreeCell);
								this.fObjListeCellStatut[vKey]= vObjTreeCell;
						vObjTreeItem.appendChild(vObjTreeRow);
						if((vListBug.length + vListFeature.length)>0){
							var vObjTreeChildrenListDescriptions = document.createElement('treechildren');
								var vListBugCorrige = new Array();
								var vListBugNonCorrige = new Array();
								for(var ii=0; ii<vListBug.length; ii++){
									if(vListBug[ii].getAttribute('resolvedSince')){
										vListBugCorrige[vListBugCorrige.length]=vListBug[ii];
									}else{
										vListBugNonCorrige[vListBugNonCorrige.length]=vListBug[ii];
									}
								}
								if(vListFeature.length>0){
									var vObjTreeItemBugList = document.createElement('treeitem');
									vObjTreeItemBugList.setAttribute('container','true');
									var vObjTreeRowBugList = document.createElement('treerow');
										var vObjTreeCellBugList = document.createElement('treecell');
											vObjTreeCellBugList.setAttribute('label','Nouveautés');
											vObjTreeRowBugList.appendChild(vObjTreeCellBugList);
									vObjTreeItemBugList.appendChild(vObjTreeRowBugList);
									var vObjTreeChildrenBugsList = document.createElement('treechildren');
										for(var ii=0; ii<vListFeature.length; ii++){
											var vObjTreeItemBug = this.xDrawAddBug(" n°" + (ii+1), vListFeature[ii], "");
											vObjTreeChildrenBugsList.appendChild(vObjTreeItemBug);
										}
										vObjTreeItemBugList.appendChild(vObjTreeChildrenBugsList);
									vObjTreeChildrenListDescriptions.appendChild(vObjTreeItemBugList);
								}
								if(vListBugCorrige.length>0){
									var vObjTreeItemBugList = document.createElement('treeitem');
									vObjTreeItemBugList.setAttribute('container','true');
									var vObjTreeRowBugList = document.createElement('treerow');
										var vObjTreeCellBugList = document.createElement('treecell');
											vObjTreeCellBugList.setAttribute('label','bugs corrigés');
											vObjTreeCellBugList.setAttribute('properties',"clTreeItemBugCorrige");
											vObjTreeRowBugList.appendChild(vObjTreeCellBugList);
									vObjTreeItemBugList.appendChild(vObjTreeRowBugList);
									var vObjTreeChildrenBugsList = document.createElement('treechildren');
										for(var ii=0; ii<vListBugCorrige.length; ii++){
											var vObjTreeItemBug = this.xDrawAddBug(" n°" + (ii+1), vListBugCorrige[ii], "clTreeItemBugCorrige");
											vObjTreeChildrenBugsList.appendChild(vObjTreeItemBug);
										}
										vObjTreeItemBugList.appendChild(vObjTreeChildrenBugsList);
									vObjTreeChildrenListDescriptions.appendChild(vObjTreeItemBugList);
								}
								if(vListBugNonCorrige.length>0){
									var vObjTreeItemBugList = document.createElement('treeitem');
									vObjTreeItemBugList.setAttribute('container','true');
									var vObjTreeRowBugList = document.createElement('treerow');
										var vObjTreeCellBugList = document.createElement('treecell');
											vObjTreeCellBugList.setAttribute('label','bugs non corrigés');
											vObjTreeCellBugList.setAttribute('properties',"clTreeItemBugNonCorrige");
											vObjTreeRowBugList.appendChild(vObjTreeCellBugList);
									vObjTreeItemBugList.appendChild(vObjTreeRowBugList);
									var vObjTreeChildrenBugsList = document.createElement('treechildren');
										for(var ii=0; ii<vListBugNonCorrige.length; ii++){
											var vObjTreeItemBug = this.xDrawAddBug(" n°" + (ii+1), vListBugNonCorrige[ii], "clTreeItemBugNonCorrige");
											vObjTreeChildrenBugsList.appendChild(vObjTreeItemBug);
										}
										vObjTreeItemBugList.appendChild(vObjTreeChildrenBugsList);
									vObjTreeChildrenListDescriptions.appendChild(vObjTreeItemBugList);
								}
							vObjTreeItem.appendChild(vObjTreeChildrenListDescriptions);
						}
					vObjTreeChildren.appendChild(vObjTreeItem);

					vCurrentMaj = vCurrentMaj.nextSibling;

					this.refreshUpdtPending();
				}
				vCurrentMaj = vTw.nextSibling();
			}
		} finally{
			vTw = null; //MemoryLeak
		}
		return true;
	}catch(e){
		ut.debug("WspUpdtMgr.prototype.refreshView:"+e);
		return false;
	}	
}




WspUpdtMgr.prototype.xGetObjDownload = function(pXmlDownload){
	try{
		var vObjDownload = new Object;
		if(pXmlDownload.getElementsByTagName('realeased')[0]){// il y a au moins 1 telechargement en cours
			vObjDownload.fAvancement = pXmlDownload.getElementsByTagName('realeased')[0].getAttribute('percent');
			var vListDownload = pXmlDownload.getElementsByTagName('download');
			for(var ii=0; ii<vListDownload.length; ii++){
				var vCurrentKey = vListDownload[ii].getAttribute('key');
				var vCurrentObjDownload = new Object;
				vCurrentObjDownload.fPhase = vListDownload[ii].getAttribute('phase');
				vCurrentObjDownload.fAvancement = (vListDownload[ii].getAttribute('percentTotal')>-1) ? vListDownload[ii].getAttribute('percentTotal') : 0;
				vObjDownload[vCurrentKey] =	vCurrentObjDownload;
			}
		}else{
			vObjDownload.fAvancement = 100;
		}
		return vObjDownload;
	}catch(e){
		ut.debug("WspUpdtMgr.prototype.xGetObjDownload:"+e);
		return null;
	}
}




WspUpdtMgr.prototype.xDrawAddBug = function(pIntitule, pElmtBug, pStyle){
	var vDescription = pElmtBug.getAttribute("desc");
	var vObjTreeItem = document.createElement('treeitem');
		var vObjTreeRow = document.createElement('treerow');
			var vObjTreeCell = document.createElement('treecell');
				vObjTreeCell.setAttribute('properties',pStyle);
				vObjTreeCell.setAttribute('label',pIntitule);
				vObjTreeRow.appendChild(vObjTreeCell);
			var vObjTreeCell = document.createElement('treecell');
				vObjTreeCell.setAttribute('properties',pStyle);
				vObjTreeCell.setAttribute('label','');
				vObjTreeRow.appendChild(vObjTreeCell);
			var vObjTreeCell = document.createElement('treecell');
				vObjTreeCell.setAttribute('properties',pStyle);
				vObjTreeCell.setAttribute('label',vDescription);
				vObjTreeRow.appendChild(vObjTreeCell);	
		vObjTreeItem.appendChild(vObjTreeRow);
		return vObjTreeItem;
}
